Skip to main content
POST
Create Task

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
title
string
required
description
string
default:""
priority
enum<string>
default:p2
Available options:
p0,
p1,
p2,
p3,
p4
tags
string[]
status
enum<string>
default:to_do
Available options:
idea,
to_do,
in_progress,
pr_submitted,
done,
closed,
trash
project_id
string | null
phase
integer | null

Response

Successful Response

id
string
required
workspace_id
string
required
title
string
required
description
string
required
status
string
required
position
number
required
priority
enum<string>
required
Available options:
p0,
p1,
p2,
p3,
p4
tags
string[]
required
pr_url
string | null
required
created_at
string
required
updated_at
string
required
has_merge_conflict
boolean
default:false
project_id
string | null
phase
integer | null
blocked
boolean
default:false
project_name
string | null
phase_name
string | null
questions
QuestionResponse · object[]
task_runs
TaskRunResponse · object[]
latest_run_status
string | null
latest_run_error
string | null
latest_run_trigger
string | null
done_at
string | null